/**
 * External dependencies
 */
import { translate } from 'i18n-calypso';

export const themes = [
	{
		name: 'Shoreditch',
		slug: 'shoreditch',
		repo: 'pub',
		fallback: true,
		description: translate(
			'A functional and responsive theme perfect for your business’s online presence.'
		),
		design: [ 'page', 'store' ],
		demo_uri: 'https://wordpress.com/theme/shoreditch',
		verticals: [],
	},
	{
		name: 'Independent Publisher',
		slug: 'independent-publisher-2',
		repo: 'pub',
		fallback: false,
		description: translate(
			'A clean and polished theme with a light color scheme, bold typography, and full-width images. ' +
				'It’s designed to enhance your content and provide an immersive experience for your readers.'
		),
		design: 'blog',
		demo_uri: 'http://independentpublisher2demo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Libre',
		slug: 'libre-2',
		repo: 'pub',
		fallback: true,
		description: translate(
			'A stylish, classic design for your personal blogging and longform writing.'
		),
		design: 'blog',
		demo_uri: 'https://libre2demo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Penscratch',
		slug: 'penscratch-2',
		repo: 'pub',
		fallback: true,
		description: translate( 'A fresh, stylish design for sharing your writing.' ),
		design: 'blog',
		demo_uri: 'https://penscratch2demo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Libretto',
		slug: 'libretto',
		repo: 'pub',
		fallback: true,
		description: translate(
			'Ideal for showcasing a mix of longform writing, beautiful images, and inspiring quotes.'
		),
		design: 'blog',
		demo_uri: 'https://librettodemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Twenty Fifteen',
		slug: 'twentyfifteen',
		repo: 'pub',
		fallback: true,
		description: translate(
			'The annual WordPress theme for 2015 is super-clean, content-focused, ' +
				'and designed to bring a little more simplicity to our blogs.'
		),
		design: 'blog',
		demo_uri: 'https://twentyfifteendemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Intergalactic',
		slug: 'intergalactic-2',
		repo: 'pub',
		fallback: true,
		description: translate(
			'A stunning option for your personal blog. Bold featured images act as the backdrop to your text, ' +
				'giving you a high-contrast, readable theme that’s perfect for making your content pop.'
		),
		design: 'blog',
		demo_uri: 'https://intergalactic2demo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Radcliffe',
		slug: 'radcliffe-2',
		repo: 'pub',
		fallback: false,
		description: translate(
			'A simple theme with clean typography, created with entrepreneurs and small business owners in mind.'
		),
		design: 'page',
		demo_uri: 'https://radcliffe2demo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Karuna',
		slug: 'karuna',
		repo: 'pub',
		fallback: false,
		description: translate(
			'A business theme with clean, streamlined design, ideal for health and wellness-focused websites.'
		),
		design: [ 'page', 'store' ],
		demo_uri: 'https://karunademo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Dara',
		slug: 'dara',
		repo: 'pub',
		fallback: true,
		description: translate(
			'With bold featured images and bright, cheerful colors, Dara is ready to get to work for your business.'
		),
		design: [ 'page', 'store' ],
		demo_uri: 'https://darademo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Lodestar',
		slug: 'lodestar',
		repo: 'pub',
		fallback: true,
		description: translate(
			'Lodestar is a modern one-page parallax theme designed with startups and small-business ventures in mind.'
		),
		design: 'page',
		demo_uri: 'https://lodestardemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'AltoFocus',
		slug: 'altofocus',
		repo: 'pub',
		fallback: false,
		description: translate(
			'Elegant tiles help artists, photobloggers, and other creatives showcase their talents.'
		),
		design: 'grid',
		demo_uri: 'https://altofocusdemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Apostrophe',
		slug: 'apostrophe-2',
		repo: 'pub',
		fallback: false,
		description: translate(
			'Simple and clean, Apostrophe 2 shines in the little details: bold type, bright color, and big images.'
		),
		design: 'grid',
		demo_uri: 'https://apostrophe2demo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Dyad',
		slug: 'dyad-2',
		repo: 'pub',
		fallback: true,
		description: translate(
			'Displays words and images in perfect balance: a post’s featured image and text excerpt get equal billing on ' +
				'the main blog page, while single posts and pages size and position images dynamically, depending on the screen size.'
		),
		design: 'grid',
		demo_uri: 'https://dyad2demo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Gazette',
		slug: 'gazette',
		repo: 'pub',
		fallback: true,
		description: translate(
			'A clean and flexible theme perfectly suited for minimalist magazine-style sites, personal blogs, or any content-rich site.'
		),
		design: 'grid',
		demo_uri: 'https://gazettedemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Illustratr',
		slug: 'illustratr',
		repo: 'pub',
		fallback: true,
		description: translate(
			'A minimalist portfolio theme that helps you create a strong — yet beautiful — online presence.'
		),
		design: 'grid',
		demo_uri: 'https://illustratrdemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Canard',
		slug: 'canard',
		repo: 'pub',
		fallback: true,
		description: translate(
			'A flexible and versatile theme perfect for magazines, news sites, and blogs.'
		),
		design: 'grid',
		demo_uri: 'https://canarddemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Publication',
		slug: 'publication',
		repo: 'pub',
		fallback: true,
		description: translate(
			'An elegant blog and magazine theme that features full-screen Featured Images.'
		),
		design: 'grid',
		demo_uri: 'https://publicationdemo.wordpress.com',
		verticals: [],
	},

	// Start Template-first themes
	{
		name: 'Alves',
		slug: 'alves',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://alvesdemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Barnsbury',
		slug: 'barnsbury',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://barnsburydemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Dalston',
		slug: 'dalston',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://dalstondemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Hever',
		slug: 'hever',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://heverdemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Mayland',
		slug: 'mayland',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://maylanddemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Rivington',
		slug: 'rivington',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://rivingtondemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Maywood',
		slug: 'maywood',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://maywooddemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Morden',
		slug: 'morden',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://mordendemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Balasana',
		slug: 'balasana',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://balasanademo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Shawburn',
		slug: 'shawburn',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://shawburndemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Rockfield',
		slug: 'rockfield',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://rockfielddemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Stow',
		slug: 'stow',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://stowdemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Stratford',
		slug: 'stratford',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://stratforddemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Coutoire',
		slug: 'coutoire',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://coutoiredemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Leven',
		slug: 'leven',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://levendemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Brompton',
		slug: 'brompton',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://bromptondemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Redhill',
		slug: 'redhill',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://redhilldemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Twenty Nineteen',
		slug: 'twentynineteen',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://twentynineteendemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Twenty Sixteen',
		slug: 'twentysixteen',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://twentysixteendemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Twenty Fifteen',
		slug: 'twentyfifteen',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'template-first',
		demo_uri: 'https://twentyfifteendemo.wordpress.com',
		verticals: [],
	},

	// Start full-site-editing compatible themes
	{
		name: 'Alves',
		slug: 'alves',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'fse-compatible',
		demo_uri: 'https://alvesdemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Exford',
		slug: 'exford',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'fse-compatible',
		demo_uri: 'https://exforddemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Hever',
		slug: 'hever',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'fse-compatible',
		demo_uri: 'https://heverdemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Maywood',
		slug: 'maywood',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'fse-compatible',
		demo_uri: 'https://maywooddemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Morden',
		slug: 'morden',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'fse-compatible',
		demo_uri: 'https://mordendemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Shawburn',
		slug: 'shawburn',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'fse-compatible',
		demo_uri: 'https://shawburndemo.wordpress.com',
		verticals: [],
	},
	{
		name: 'Stow',
		slug: 'stow',
		repo: 'pub',
		fallback: true,
		description: '',
		design: 'fse-compatible',
		demo_uri: 'https://stowdemo.wordpress.com',
		verticals: [],
	},
];
